Skip to main content
GET
/
v1.0
/
{company_id}
/
applications
cURL
curl --request GET \
  --url https://api.hirehive.com/v1.0/{company_id}/applications \
  --header 'Authorization: Bearer <token>'
{
  "meta": {
    "page_size": 123,
    "page": 123,
    "total_items": 123,
    "total_pages": 123,
    "has_next_page": true,
    "has_previous_page": true
  },
  "links": {
    "first": "<string>",
    "last": "<string>",
    "next": "<string>",
    "previous": "<string>"
  },
  "items": [
    {
      "stage": {
        "parent_stage": "rejected",
        "custom_stage": {
          "id": "<string>",
          "name": "<string>"
        }
      },
      "compliance": {},
      "id": "<string>",
      "applied_at": "2023-11-07T05:31:56Z",
      "job": {
        "id": "<string>",
        "title": "<string>"
      },
      "cover_letter": "<string>",
      "resume": {
        "id": "<string>",
        "original": {
          "name": "<string>",
          "original_name": "<string>",
          "content_type": "<string>",
          "file_extension": "<string>"
        },
        "pdf": {
          "name": "<string>",
          "original_name": "<string>",
          "content_type": "<string>",
          "file_extension": "<string>"
        }
      },
      "source": {
        "origin": "added",
        "source": "<string>",
        "contact": {
          "id": "<string>",
          "name": "<string>"
        },
        "user": {
          "id": "<string>",
          "name": "<string>"
        },
        "recruiter": {
          "id": "<string>",
          "name": "<string>"
        }
      },
      "interviews": [
        "<string>"
      ],
      "feedback": [
        "<string>"
      ],
      "potential_duplicate": true
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

company_id
string<string>
required

Query Parameters

sort
string

Sortable fields: applied_at.

candidate_id
string<string> | null

Filter applications by candidate id

job_ids
string<string>

Filter applications by job id

parent_stage
enum<string>[]

Filter applications by parent stage

Available options:
rejected,
new,
screening,
interviewing,
offered,
hired
sub_stage_id
string<string>

Filter applications by custom pipeline id

page
integer<int32>

Defaults to 1

page_size
integer<int32>

Defaults to 30. Min = 1. Max = 100

Required range: 1 <= x <= 100

Response

meta
object
items
object[]